Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type DateRangeFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface DateRangeFieldValidator

This validator checks that a date field has a value within a specified range.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
min | no |  | Date property. The minimum the date must be.
max | no |  | Date property. The maximum date can be.

If neither min nor max is set, nothing will be done.

Example code:

     @DateRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "2005/01/01", max = "2005/12/31")

Version:
  $Id: DateRangeFieldValidator.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Optional Element Summary
`java.lang.String` | `fieldName` The optional fieldName for SIMPLE validator types.
`java.lang.String` | `key` The message key to lookup for i18n.
`java.lang.String` | `max` Date property.
`java.lang.String` | `message` The default error message for this validator.
`java.lang.String` | `min` Date property.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

### min

    public abstract java.lang.String min

  Date property. The minimum the date must be.

  Default:
    ""

### max

    public abstract java.lang.String max

  Date property. The maximum date can be.

  Default:
    ""

### message

    public abstract java.lang.String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract java.lang.String key

  The message key to lookup for i18n.

  Default:
    ""

### fieldName

    public abstract java.lang.String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.